
pfSense - Bug #11415

fe80::1:1 duplicate from secondary pfSense

02/13/2021 03:22 AM - Viktor Gurov

Status: Rejected Start date: 02/13/2021

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Interfaces Estimated time: 0.00 hour

Target version:    

Plus Target Version:  Affected Version:  

Release Notes:  Affected

Architecture:

 

Description

https://forum.netgate.com/topic/160181/fe80-1-1-duplicate-from-secondary-pfsense:

I've got a small setup with two pfSense boxes as HA setup. While the addresses are handled correctly with CARP, both boxes think

they need to announce themselves as fe80::1:1. This causes of course a lot of trouble with all the ipv6 clients.

From the interfaces.inc I got the clue that this comes from tracked interfaces. But I think fe80::1:1 must only be used by the currently

active box, or am I wrong?

History

#1 - 02/13/2021 06:53 AM - Viktor Gurov

https://gitlab.netgate.com/pfSense/pfSense/-/merge_requests/137

#2 - 02/16/2021 08:28 AM - Jim Pingle

- Status changed from New to Rejected

This seems unnecessary now -- the fe80::1:1 address was removed in #10661 on 2.5.0 (and HA isn't compatible with dynamic/track interfaces)
